<?php
/*
  $Id: cc.php,v 1.10 2002/11/01 05:14:11 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/


// Check to ensure this file is included in Freeway!
defined('_FEXEC') or die();


  define('MODULE_PAYMENT_CYBS_TEXT_TITLE', 'CyberSource');
  define('MODULE_PAYMENT_CYBS_TEXT_DESCRIPTION', 'Credit Card Test Info:<br><br>CC#: 4111111111111111<br>Expiry: Any Future Date');
  define('MODULE_PAYMENT_CYBS_TEXT_CREDIT_CARD_TYPE', 'Credit Card Type:');
  define('MODULE_PAYMENT_CYBS_TEXT_CREDIT_CARD_FIRST_NAME', 'First Name:');
  define('MODULE_PAYMENT_CYBS_TEXT_CREDIT_CARD_LAST_NAME', 'Last Name:');
  define('MODULE_PAYMENT_CYBS_TEXT_CREDIT_CARD_NUMBER', 'Credit Card Number:');
  define('MODULE_PAYMENT_CYBS_TEXT_CREDIT_CARD_CVV_NUMBER', 'Credit Card CVV Number:');
  define('MODULE_PAYMENT_CYBS_TEXT_CREDIT_CARD_EXPIRES', 'Expiration Date:');
  define('MODULE_PAYMENT_CYBS_TEXT_JS_CYBS_FIRST_NAME', '* The owner\'s first name of the credit card must be at least ' . CC_OWNER_MIN_LENGTH . ' characters.\n');
  define('MODULE_PAYMENT_CYBS_TEXT_JS_CYBS_LAST_NAME', '* The owner\'s last name of the credit card must be at least ' . CC_OWNER_MIN_LENGTH . ' characters.\n');
  define('MODULE_PAYMENT_CYBS_TEXT_JS_CYBS_NUMBER', '* The credit card number must be at least ' . CC_NUMBER_MIN_LENGTH . ' characters.\n');
  
  define('MODULE_PAYMENT_CYBS_TEXT_ERROR_REQUEST', 'Your order could not be completed.  We apologize for the inconvenience.  Please try again at a later time.');
  define('MODULE_PAYMENT_CYBS_TEXT_ERROR_SERVER','There was a problem completing your order.  We apologize for the inconvenience.  Please contact customer support to review your order.');
  define('MODULE_PAYMENT_CYBS_TEXT_ERROR_REVIEW','There was a problem completing your order.  We apologize for the inconvenience.  Please contact customer support to review your order.');
  
  define('MODULE_PAYMENT_CYBS_TEXT_INVALID_FIELD', 'Your order could not be completed.  Please review the information you entered and try again.');
  define('MODULE_PAYMENT_CYBS_TEXT_DECLINED_INSFUNDS_MESSAGE', 'Your credit card was declined due to insufficient funds. Please try another card or contact your bank for more information.');
  define('MODULE_PAYMENT_CYBS_TEXT_ERROR', 'Credit Card Error!');

  define('TEXT_CCVAL_ERROR_CARD_TYPE_MISMATCH', 'The card type you have selected does not match the number entered.  Please try again.');
  define('TEXT_CCVAL_ERROR_CARD_CVV_MISSING', 'You must supply the CVV code for this credit card.  Please try again.');
  define('TEXT_CCVAL_ERROR_CARD_CVV_INVALID', 'The CVV code supplied is invalid.  Please be sure to check it for length and accuracy and try again.');
?>